Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.service.processor
Class ServiceOutboundMessageProcessor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.service.processor.ServiceOutboundMessageProcessor

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class ServiceOutboundMessageProcessor

extends AbstractInterceptingMessageProcessor

Responsible for determining if the Service outbound phase should be used and making a copy of the event to use.

If the service component is a `PassThroughComponent` a null from the outbound phase will result in a `NullPayload` being returned, otherwise when the outbound phase returns null this MessageProcessor will return the request event.

Field Summary
`protected Service` | `service`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`ServiceOutboundMessageProcessor(Service service)`

Method Summary
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### service

    protected Service service

Constructor Detail

### ServiceOutboundMessageProcessor

    public ServiceOutboundMessageProcessor(Service service)

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.